#!/usr/bin/env python

from WebStack.Adapters import Django
from WebStack.Resources.Login import LoginResource, LoginAuthenticator

resource = LoginResource(
    LoginAuthenticator(
        secret_key="horses",
        credentials=(
            ("badger", "abc"),
            ("vole", "xyz"),
        )
    ),
    use_redirect=0
)

def login(request, *args):
    return Django.respond(request, resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
